<!DOCTYPE html>
<html>
<head> 
    <style>
        a:link {
           color: blue;
           background-color: transparent;
           text-decoration: none;
        }
        a:visited {
           color: red;
           background-color: transparent;
           text-decoration: none;
        }
        a:hover {
            color: green;
           background-color: transparent;
        }
        /*all tables */
        table, th, td{
            border: 1px solid black;
        }
        th,td{
            padding: 3px;
        }
        /*calendar table  */
        .weekend{
            background-color: gray;
            color: red;
            font-weight: bold;
        }
        table#cal tr:nth-of-type(1) > th {
            background-color: lightblue;
        }
        table#cal tr:nth-of-type(2) > th {
            background-color: lightgray;
        }
         /*data table */
        table#datos 

        .rojo{
            color:red
        }

        table.tb {
                 color:green;
		}

        .linkables{
            color: red;
        }
        .nolink{
            color:green
        }

        li:hover{
            color:orange
        }

     </style>

</head>

<body>
    <a href="https://www.reddit.com/">reddit</a>
    <a href="https://www.reddit.com/r/gaming/" target="_blank">reddit_gaming</a> 
    <br>
    <map name="mapa1">
        <area alt="Parte izq" shape="rect" coords="345,388,0,0" href="https://www.google.com/" target="_blank">
        <area alt="Parte der" shape="rect" coords="345,0,690,388" href="http://www.ditl.org/" target="_blank">

    </map>
    <!-- imagen modificada con style.-->
    <img src="fotodelsiglo.jpeg" alt="Foto del siglo" style="width: 690px;height:388px" usemap="#mapa1">
    <!-- imagen tamaño modificado con com width + heigh -->
    <img src="fotodelsiglo.jpeg" width="50%" height="50%">

    <table id="cal">
        <tr>
            <th colspan="7">Noviembre</th>
        </tr>
        <tr>
            <th scope="col" class="lunes">Lunes</th>
            <th>Martes</th>
            <th>Miercoles</th>
            <th>Jueves</th>
            <th>Viernes</th>
            <th scope="col">Sabado</th>
            <th scope="col">Domingo</th>
        </tr>
        <tr>
            <td>1</td>
            <td>2</td>
            <td>3</td>
            <td>4</td>
            <td>5</td>
            <td class="weekend">6</td>
            <td class="weekend">7</td>
        </tr>
        <tr>
            <td>8</td>
            <td>9</td>
            <td>10</td>
            <td>11</td>
            <td>12</td>
            <td class="weekend">13</td>
            <td class="weekend">14</td>
        </tr>
        <tr>
            <td>15</td>
            <td>16</td>
            <td>17</td>
            <td>18</td>
            <td>19</td>
            <td class="weekend">20</td>
            <td class="weekend">21</td>    
        </tr>
        <tr>
            <td>22</td>
            <td>23</td>
            <td>24</td>
            <td>25</td>
            <td>26</td>
            <td class="weekend">27</td>
            <td class="weekend">28</td>
        </tr>
        <tr>
            <td>29</td>
            <td>30</td>
            <td>31</td>
        </tr>
    </table>
    <br>
    
    <table id="datos" class="tb">
        <tr>
            <td rowspan="3" class="rojo">Pere</td>
            <td>Pou</td>
        </tr>
        <tr>
            <td>Pou</td>
        </tr>
        <tr>
            <td>Hospitalet</td>
        </tr>
        <tr>
            <td rowspan="3" class="rojo">Pau</td>
            <td>Gomez</td>
        </tr>
        <tr>
            <td>Gomez</td>
        </tr>
        <tr>
            <td>Montgat</td>
        </tr>
        <tr>
            <td rowspan="3" class="rojo">Anna</td>
            <td>Perez</td>
        </tr>
        <tr>
            <td>Perez</td>
        </tr>
        <tr>
            <td>Ripollet</td>
        </tr>
    </table>
    <ol>
    <li class="linkables"><a href="https://www.google.com/" target="_blank">Perro</a></li>
    <li class="linkables"><a href="https://www.google.com/" target="_blank">Gato</a></li> 
    <li class="nolink">Pollo</li> 
    <li class="nolink">Cocodrilo</li>    
    </ol>

</body>
</html>